#include "stm32f10x_lib.h"

void SystemInit();
void assert_failed(char* file, unsigned long line);

void delay(unsigned long ms);

void PORT_Init();
char PORT_ReadInputPin(unsigned short pin);
unsigned short PORT_ReadInput();
unsigned short PORT_ReadOutput();
void PORT_Write(unsigned short value);

void TIMER_Init(TIM_TypeDef *timer);
void TIMER_Start(TIM_TypeDef *timer, unsigned int prescaler, unsigned int counter);
void TIMER_Stop(TIM_TypeDef *timer);

void ANALOG_Init();
unsigned int ANALOG_Read();
